This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 240828 - When device is attached to VM in virt-manager, information of VNC port number is lost.
When device is attached to VM in virt-manager, information of VNC port number...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-22 02:17 EDT by Masayuki Sunou
Modified: 2009-05-09 18:26 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-09 18:26:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Log of Xen and virt-manager and an output of "xm list --long <domain>" (10.40 KB, application/x-gzip-compressed)
2007-05-22 21:05 EDT, Masayuki Sunou
no flags Details

  None (edit)
Description Masayuki Sunou 2007-05-22 02:17:33 EDT
Description of problem:
In virt-manager, when device(Disk and NIC) is attached to inactive VM that has
fixed VNC port number, information of VNC port number is lost. 

Version-Release number of selected component (if applicable):
changeset : c60eab8f4ac6

How reproducible:
always

Steps to Reproduce:
1. Create VM that has fixed VNC port number in virt-install.
   # virt-install --vncport=<port number> ...
2. Shut down VM 
3. Attach device to VM in virt-manager 
4. Start VM
5. Display a port number of VM 
   # virsh vncdisplay <domain>

Actual results:
Port number unlike a port number set in virt-install is displayed

Expected results:
Port number set in virt-install is displayed.

Additional info:
Comment 1 Daniel Berrange 2007-05-22 07:21:11 EDT
This is a little odd - the port number is in the XML we get out & feed back in,
so I'm surprised its being lost. Can you capture output of 'xm list --long
<domain>' before & after adding the device. Also can you attach the
/var/log/xen/xend.log & /root/virt-manager/virt-manager.log files
Comment 2 Masayuki Sunou 2007-05-22 21:05:29 EDT
Created attachment 155217 [details]
Log of Xen and virt-manager and an output of "xm list --long <domain>"

Attached file includes the following:
 - xend.log	      : Log file of Xend 
 - virt-manager.log   : Log file of virt-manager
 - before.sxp	      : Output of "xm list --long <domain>" before
			adding the device.
 - after.sxp	      : Output of "xm list --long <domain>" after
			adding the device.
Comment 3 Red Hat Bugzilla 2007-07-24 22:12:05 EDT
change QA contact
Comment 4 ryan roth 2008-01-21 12:23:05 EST
I have a similar issue.  If I add a vnc graphics drive through virt-manager and
set it to a static port it is created as 'automatically-allocate'
Comment 5 Bug Zapper 2008-05-13 22:55:42 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Brennan Ashton 2008-06-07 20:46:06 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 7 Saori Fukuta 2008-06-08 21:20:13 EDT
> Reporter, could you please reply to the previous question? 

Can you tell me waht is 'the previous question' ?
If you are talking about comment#1, reporter(Masayuki Sunou) has 
replied about it at comment#2.

Regards,
Comment 8 Saori Fukuta 2008-07-21 20:29:29 EDT
change the status to ASSIGNED
Comment 9 Cole Robinson 2008-09-03 15:37:44 EDT
The problem is that libvirt is incorrectly reading the static vnc port from xend (in fact, it isn't reading it at all!). Reassigning to libvirt.

I've also posted a patch upstream which adds some tests for this and fixes the bug, so when/if that is accepted we can move this to POST.
Comment 10 Fujitsu Xen Team 2008-09-12 05:23:51 EDT
I checked that this issue is solved by virt-managerCS901, virtinstCS582 and libvirtCL1.1501 on Fedora8.

Regards
Comment 11 Cole Robinson 2008-09-16 11:37:43 EDT
Awesome, moving this to POST. This should be closed when the next libvirt release (probably 0.4.6) makes it way to fedora 8/9.
Comment 12 Daniel Berrange 2009-03-10 08:35:03 EDT
This should be addressed in current libvirt  release available in F9 updates-testing, 0.6.1
Comment 13 Fedora Update System 2009-03-11 14:02:51 EDT
libvirt-0.6.1-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update libvirt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-2407
Comment 14 Cole Robinson 2009-05-09 18:26:21 EDT
This bug was fixed in a version much older than 0.6.1. In fact, I think 0.4.6 was pushed to F8, which is where this bug was originally filed. Closing as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.